View Issue Details

IDProjectCategoryView StatusLast Update
0003518HTML & PERLBug Report - Interfacepublic2022-02-28 13:23
ReporterVainNihilist Assigned ToDerIdiot  
PrioritynormalSeverityminorReproducibilitysometimes
Status feedbackResolutionreopened 
Summary0003518: Groups with only Other episode (O ep) files are missing links to "Files for group:" page
DescriptionGroups with only Other episode (O ep) files, which are not linked to other episodes, for an anime do not have the usual "Files for group:" page.
The group is not listed on the "Group Status" section of the anime's page, and the anime is not listed on the group's page.
The expected URL for the "Files for group:" page exists and does list the group's O ep files, however the page is titled "Files without group".
Steps To ReproduceSuspect this is systematic, but so far have only observed:

https://anidb.net/group/16707/anime/11370/release
Anime: https://anidb.net/anime/11370
Group: https://anidb.net/group/16707

Compare with:
https://anidb.net/group/6269/anime/11370/release - O eps not linked, but group also has S ep files. Status shown as "specials only".
https://anidb.net/group/16409/anime/11370/release - O eps linked to main eps. Status shown as "complete".
Additional InformationThe Other episode entries are often used for alternative cuts of existing episodes so it may be expected for the files to be linked, however that link is not always made. Suggest maybe some way of prompting to create the file-ep link if there is an expected mapping of episodes, possibly applying to other situations e.g. movie with split part vs single releases.
TagsNo tags attached.

Activities

DerIdiot

2022-02-27 15:09

administrator   ~0004475

yes that is intentional. O eps are just stand ins for "this is an issue we can't handle otherwise"
which is basically reserved for things where we need to set file-ep rels. So if those are missing and hence the rrelease not beign shown it means:
1. someone misused the O eps and they should be moved elsewhere
2. the entries are incomplete and lack teh file-ep rels

VainNihilist

2022-02-28 13:23

reporter   ~0004479

Commenting here before opening another ticket to check if this could be reframed as a feature request.

1) Could there be some sort of prompt to create the file-ep relations for files on O eps? Or would this be something of a mod (only?) tool?
This might help identify the two cases you pointed out.
I now realise there is guidance on O eps on the wiki: https://wiki.anidb.net/Content:Episodes#Guidance_for_O_episodes

2) It still seems odd that the animegroup page is titled "Files without group" when that is not the case. Could those be formatted similar to the other "Files for group:" pages?
swould this require additional metadata?

3) It would be nice to have all anime from a group listed on their group page, even with these incomplete O ep. Would this require a tweak of the possible groupstatus states, maybe reworking the "specials only" or "unknown"/(not used?) state?
https://wiki.anidb.net/Groupentries:Status

Issue History

Date Modified Username Field Change
2022-02-26 13:27 VainNihilist New Issue
2022-02-26 13:29 VainNihilist Description Updated
2022-02-26 13:29 VainNihilist Steps to Reproduce Updated
2022-02-27 15:09 DerIdiot Note Added: 0004475
2022-02-27 15:09 DerIdiot Assigned To => DerIdiot
2022-02-27 15:09 DerIdiot Status new => closed
2022-02-27 15:09 DerIdiot Resolution open => no change required
2022-02-27 15:09 DerIdiot Project AniDB Website => HTML & PERL
2022-02-28 13:23 VainNihilist Status closed => feedback
2022-02-28 13:23 VainNihilist Resolution no change required => reopened
2022-02-28 13:23 VainNihilist Note Added: 0004479